Name:           python-pykdumpfile
Version:        0.5.5.1
Release:        %autorelease
Summary:        Python bindings to libkdumpfile

License:        GPL-2.0-or-later
URL:            https://github.com/ptesarik/pykdumpfile
Source:         %{pypi_source pykdumpfile}

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  gcc
BuildRequires:  libkdumpfile-devel


%global _description %{expand:
Bindings to the libkdumpfile shared library.}

%description %_description

%package -n     python3-pykdumpfile
Summary:        %{summary}

%description -n python3-pykdumpfile %_description


%prep
%autosetup -p1 -n pykdumpfile-%{version}
# These are meant for Python 2 and wont' byte-compile
rm {addrxlat,kdumpfile}/defs_py2.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l addrxlat kdumpfile


%check
%pyproject_check_import
%pytest -v


%files -n python3-pykdumpfile -f %{pyproject_files}
%doc README.md
# use %%{_arch} except on ppc64le
%ifarch ppc64le
%global arch_tag powerpc64le
%else
%global arch_tag %{_arch}
%endif
%{python3_sitearch}/_addrxlat.cpython-%{python3_version_nodots}-%{arch_tag}-linux-gnu.so
%{python3_sitearch}/_kdumpfile.cpython-%{python3_version_nodots}-%{arch_tag}-linux-gnu.so


%changelog
%autochangelog
